# sprintfTag_s Struct Reference
[HEADER.]

Collaboration diagram for sprintfTag_s:
[legend]

## Data Fields

HE_s | he
headerTagFormatFunction | fmt
headerTagTagFunction | ext
int | extNum
rpmTag | tagno
int | justOne
int | arrayCount
char * | format
char * | type
unsigned | pad

## Detailed Description

Definition at line 1795 of file hdrfmt.c.

## Field Documentation

int sprintfTag_s::arrayCount

Definition at line 1804 of file hdrfmt.c.

Referenced by formatValue(), parseFormat(), and singleSprintf().

headerTagTagFunction sprintfTag_s::ext

NULL if tag element is invalid

Definition at line 1800 of file hdrfmt.c.

Referenced by findTag(), formatValue(), and singleSprintf().

int sprintfTag_s::extNum

Definition at line 1801 of file hdrfmt.c.

Referenced by findTag(), formatValue(), and singleSprintf().

headerTagFormatFunction sprintfTag_s::fmt

Definition at line 1798 of file hdrfmt.c.

Referenced by findTag(), and formatValue().

char* sprintfTag_s::format

Definition at line 1806 of file hdrfmt.c.

Referenced by formatValue(), and parseFormat().

HE_s sprintfTag_s::he

Definition at line 1796 of file hdrfmt.c.

Referenced by formatValue(), freeFormat(), hsaNext(), and singleSprintf().

int sprintfTag_s::justOne

Definition at line 1803 of file hdrfmt.c.

Referenced by parseFormat(), and singleSprintf().

unsigned sprintfTag_s::pad

Definition at line 1809 of file hdrfmt.c.

Referenced by formatValue(), and parseFormat().

rpmTag sprintfTag_s::tagno

Definition at line 1802 of file hdrfmt.c.

Referenced by findTag(), formatValue(), headerSprintf(), hsaInit(), hsaNext(), and singleSprintf().

char* sprintfTag_s::type

Definition at line 1808 of file hdrfmt.c.

Referenced by findTag(), headerSprintf(), parseFormat(), and singleSprintf().

The documentation for this struct was generated from the following file:

- rpmdb/hdrfmt.c